mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
splt_state Struct Reference

`#include <mp3splt.h>`

Collaboration diagram for splt_state:
[legend]

## Data Fields

int | cancel_split
void * | codec
int | current_plugin
char * | default_comment_tag
char * | default_genre_tag
splt_error | err
splt_freedb | fdb
char * | fname_to_split
char * | input_fname_regex
splt_internal | iopts
char * | m3u_filename
splt_oformat | oformat
splt_options | options
splt_original_tags | original_tags
char * | path_of_split
splt_plugins * | plug
splt_syncerrors * | serrors
struct splt_ssplit * | silence_list
char * | silence_log_fname
splt_struct | split
unsigned long | syncerrors
splt_wrap * | wrap

## Detailed Description

structure for the splt state

Definition at line 794 of file mp3splt.h.

## Field Documentation

int splt_state::cancel_split

setting to SPLT_TRUE cancels the split

Definition at line 797 of file mp3splt.h.

void* splt_state::codec

file format states, mp3,ogg..

Definition at line 845 of file mp3splt.h.

splt_error splt_state::err

error strings for error code messages

Definition at line 848 of file mp3splt.h.

splt_freedb splt_state::fdb

freedb related

Definition at line 833 of file mp3splt.h.

char* splt_state::fname_to_split

filename to split

Definition at line 799 of file mp3splt.h.

char* splt_state::input_fname_regex

setting tags from input filename regex

Definition at line 807 of file mp3splt.h.

splt_internal splt_state::iopts

internal options

Definition at line 836 of file mp3splt.h.

splt_oformat splt_state::oformat

output format

Definition at line 820 of file mp3splt.h.

splt_options splt_state::options

options for the split

Definition at line 816 of file mp3splt.h.

splt_original_tags splt_state::original_tags

tags of the original file to split

Definition at line 813 of file mp3splt.h.

char* splt_state::path_of_split

where the split file will be split

Definition at line 801 of file mp3splt.h.

splt_plugins* splt_state::plug

plugins structure

Definition at line 851 of file mp3splt.h.

splt_syncerrors* splt_state::serrors

syncerror related

Definition at line 824 of file mp3splt.h.

struct splt_ssplit* splt_state::silence_list

see the ssplit structure

Definition at line 839 of file mp3splt.h.

char* splt_state::silence_log_fname

filename of the silence log: 'mp3splt.log' in the original mp3splt

Definition at line 855 of file mp3splt.h.

splt_struct splt_state::split

split related

Definition at line 818 of file mp3splt.h.

unsigned long splt_state::syncerrors

counter for the number of sync errors found

- the state->serros->serrors_points_num must be used when processing the syncerrors from 'serrors'
- this is just a standalone counter

Definition at line 831 of file mp3splt.h.

splt_wrap* splt_state::wrap

wrap related

Definition at line 822 of file mp3splt.h.

The documentation for this struct was generated from the following file:

- mp3splt.h